﻿@model IEnumerable<TooJaVile.Models.Person>



@{
    ViewBag.Title = "Index";
}
    <style class="table">
        table {
            border: 2px solid #de9c6c;
        }

        td, th {
            border: 1px solid #de9c6c;
        }


        tr:nth-child(even) {
            background-color: lightgray;
        }
    </style>
<h2>Töötajad</h2>

@if (ViewBag.CurrentPerson.IsManager || ViewBag.CurrentPerson.IsAccountant)
{
    <p>
        @Html.ActionLink("Lisa uus töötaja", "Create")

    </p>
}
    <table class="table">
        <tr>

            <th>
                @Html.ActionLink("Nimi", "Index", new { sortOrder = (ViewBag.SortOrder == "Name" ? "Name_desc" : "Name") })
            </th>
            <th>
                E-mail
                @*@Html.DisplayNameFor(model => model.Email)*@
            </th>
            <th>
                Sünniaeg
                @*@Html.DisplayNameFor(model => model.BirthDate)*@
            </th>
            <th>
                Vanus
                @*@Html.DisplayNameFor(model => model.BirthDate)*@
            </th>
            <th>
                Juhataja
                @*@Html.DisplayNameFor(model => model.IsManager)*@
            </th>
            <th>
                Raamatupidaja
                @*@Html.DisplayNameFor(model => model.IsAccountant)*@
            </th>
            <th>
                Õpilane
                @*@Html.DisplayNameFor(model => model.IsStudent)*@
            </th>
            <th>
                Põhipuhkus
                @*@Html.DisplayNameFor(model => model.VacationDays)*@
            </th>
            <th>
                @Html.ActionLink("Osakond", "Index", new { sortOrder = (ViewBag.SortOrder == "Department" ? "Department_desc" : "Department") })
            </th>
            <th>
                Pilt
                @*@Html.DisplayNameFor(model => model.PictureId)*@
            </th>
            <th></th>
        </tr>

        @foreach (var item in Model)
        {
    <tr>

        <td>
            @Html.DisplayFor(modelItem => item.FirstName)
            @Html.DisplayFor(modelItem => item.LastName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Email)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.BirthDate)
        </td>
        <td>
            @{
                var today = DateTime.Today;
                var age = today.Year - item.BirthDate.Year;
                if (item.BirthDate.Date > today.AddYears(-age)) { age--; };

                ViewBag.vanus = age;
            }
            @ViewBag.vanus
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.IsManager)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.IsAccountant)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.IsStudent)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.VacationDays)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Department.Name)
        </td>
        <td>
            @*lisasin pildi rea*@
            <img src="@Url.Action("Content", "DataFiles", new {id = item.PictureId})" height="100" />
        </td>
        @if (ViewBag.CurrentPerson.IsManager || ViewBag.CurrentPerson.IsAccountant)
        {
            <td>
                <p>@Html.ActionLink("Muuda", "Edit", new { id = item.Id }) </p>
                <p>@Html.ActionLink("Vaata", "Details", new { id = item.Id }) </p>
                <p>@Html.ActionLink("Kustuta", "Delete", new { id = item.Id })</p>
            </td>
        }


        else
        {
            <td>
                <p>@Html.ActionLink("Vaata", "Details", new { id = item.Id }) </p>
            </td>
        }
    </tr>
        }

    </table>
